Name:		kompose
Summary:	Provides a Full screen view of all open windows
Version:	0.5.3
Release:	1%{_my_ext}
License:	GPL
Group:		Graphical desktop/KDE
Source:		%{name}-%{version}.tar.bz2
Url:		http://developer.berlios.de/projects/kompose
Vendor:		%{vendor}
Packager:	%{packager}
Distribution:	%{distribution}
BuildRoot:      %{_tmppath}/build-root-%{name}
BuildRequires:	kdelibs-devel 
BuildRequires:  automake1.6
BuildRequires:  imlib2-devel

%description
Kompose currently allows a fullscreen view of all your virtual 
desktops where every window is represented by a scaled 
screenshot of it's own.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
%build
libtoolize -c -f
aclocal-1.6
autoheader
automake-1.6 -a -c
autoconf 
make -f admin/Makefile.common cvs

export QTDIR=%_prefix/%_lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%{?__cputoolize: %{__cputoolize} }

%configure --disable-rpath
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

install -d $RPM_BUILD_ROOT%{_menudir}
kdedesktop2mdkmenu.pl %{name} "More Applications/Games/Toys" $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/kompose.desktop $RPM_BUILD_ROOT%{_menudir}/%{name} 

cd $RPM_BUILD_ROOT

find . -type d -fprint $RPM_BUILD_DIR/file.list.%{name}.dirs
find . -type f -fprint $RPM_BUILD_DIR/file.list.%{name}.files.tmp
sed '/\/man\//s/$/.gz/g' $RPM_BUILD_DIR/file.list.%{name}.files.tmp > $RPM_BUILD_DIR/file.list.%{name}.files
find . -type l -fprint $RPM_BUILD_DIR/file.list.%{name}.libs
sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' $RPM_BUILD_DIR/file.list.%{name}.dirs > $RPM_BUILD_DIR/file.list.%{name}
sed 's,^\.,\%attr(-\,root\,root) ,' $RPM_BUILD_DIR/file.list.%{name}.files >> $RPM_BUILD_DIR/file.list.%{name}
sed 's,^\.,\%attr(-\,root\,root) ,' $RPM_BUILD_DIR/file.list.%{name}.libs >> $RPM_BUILD_DIR/file.list.%{name}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/file.list.%{name}
rm -rf $RPM_BUILD_DIR/file.list.%{name}.libs
rm -rf $RPM_BUILD_DIR/file.list.%{name}.files
rm -rf $RPM_BUILD_DIR/file.list.%{name}.files.tmp
rm -rf $RPM_BUILD_DIR/file.list.%{name}.dirs

%files -f ../file.list.%{name}

%defattr(-,root,root,0755)

%changelog

* Fri Feb 10 2006 Scott Grayban <sgrayban@mandriva.org>
 - New version release

* Fri Oct 7 2005 Scott Grayban <sgrayban@borgnet.us>
 - rebuild for 2006

* Mon Feb 21 2005 Scott Grayban <sgrayban@borgnet.us> 0.5-4bgn
 - New version and corrected the url homepage

* Sun Dec 19 2004  Scott Grayban <sgrayban@borgnet.us> 0.5-3bgn
 - rebuild for right extension

* Tue Nov 23 2004 Scott Grayban <sgrayban@borgnet.us>
 - Build for MDK 10.1
